# linuxfoo-gitlab

## Summary

Embed list of most recent commits to a Gitlab project from a Gitlab instance's public REST API.

## Shortcode `gitlab-list-commits`

### Example

Add `[gitlab-list-commits url=https://tk-sls.de/gitlab project_id=42 since="3 month" max=5]` for a list of at most 5 commits to that project that were made since at most 3 months ago.

### Attributes

* `url="STRING"`: Mandatory (example: `https://tk-sls.de/gitlab`).
* `project_id=NUM`: Mandatory; NUM: Positive Integer, valid project ID in Gitlab specified by `url` (example: 42).
* `since="NUM UNIT"`: Optional; NUM: Positive integer; UNIT: "days", "months", "years"; exclude commits older than specified time interval (example: "3 months").
* `max=NUM`: Optional; `NUM`: Positive integer; list not more than `NUM` commits (example: 5).
* `ref_name=STRING`: List only commit from branch or reference name `STRING`.
* `default_branch`: If set, list only commits from the project's default branch.

## Author and License

* Copyleft 2021 Tilman Kranz &lt;[t.kranz@tk-sls.de](mailto:t.kranz@tk-sls.de)&gt;  
* License: MIT License [https://opensource.org/licenses/MIT](https://opensource.org/licenses/MIT)

